Bug 110758 - bad source code
bad source code
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-themes (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 09:54 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 10:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 09:54:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

I just tried to compile package gnome-themes-2_4_0-1 from Fedora.

The compiler said

eazel-theme-hacks.c(122): remark #592: variable "child_list" is used 
before its value is set

The source code is

    GList *child_list, *child;

	/* more code */

    for (child = child_list; child; child = child->next)

I agree with the compiler. This could would benefit from rework.




Version-Release number of selected component (if applicable):
gnome-themes-2_4_0-1 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:
Comment 1 Alexander Larsson 2004-10-05 10:33:25 EDT
Bug filed upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=154567

Note You need to log in before you can comment on or make changes to this bug.